import { useState, useEffect } from 'react';
import { csv, timeParse } from 'd3';

//CO2 Emissions csv
const csvUrl = 'https://gist.githubusercontent.com/LakshmiVandanaNunna/b5234e4437a92f6886ed4e91f13c637a/raw/853e108d5a1502c25290736193540edc63d94938/india_co2emissions.csv';
const parseYear = timeParse('%Y');

////Load data
const transform = csvData => {
  return csvData.map(data => ({
    year: parseYear(data.Year),
    co2Emission: data['Annual CO2 emissions (per capita)']
  }));
};

export const loadData = () => {
  const [data, setData] = useState();
  
  useEffect(() => {
    csv(csvUrl).then(csvData => {
      setData(transform(csvData));
    });
  }, []);
  
  return data;
};
